clang 8.0.0

Enumerations | Variables
SerializedDiagnosticReader.cpp File Reference
`#include "clang/Frontend/SerializedDiagnosticReader.h"`
`#include "clang/Basic/FileManager.h"`
`#include "clang/Basic/FileSystemOptions.h"`
`#include "clang/Frontend/SerializedDiagnostics.h"`
`#include "llvm/ADT/Optional.h"`
`#include "llvm/ADT/SmallVector.h"`
`#include "llvm/ADT/StringRef.h"`
`#include "llvm/Bitcode/BitCodes.h"`
`#include "llvm/Bitcode/BitstreamReader.h"`
`#include "llvm/Support/Compiler.h"`
`#include "llvm/Support/ErrorHandling.h"`
`#include "llvm/Support/ErrorOr.h"`
`#include "llvm/Support/ManagedStatic.h"`
`#include <cstdint>`
`#include <system_error>`
Include dependency graph for SerializedDiagnosticReader.cpp:

Go to the source code of this file.

## Enumerations
enum | Cursor

## Variables
static llvm::ManagedStatic< SDErrorCategoryType > | ErrorCategory

## Enumeration Type Documentation

## ◆ Cursor

enum Cursor
| strong

Definition at line 81 of file SerializedDiagnosticReader.cpp.

## Variable Documentation

## ◆ ErrorCategory

llvm::ManagedStatic<SDErrorCategoryType> ErrorCategory
| static

Definition at line 308 of file SerializedDiagnosticReader.cpp.

Referenced by clang::serialized_diags::SDErrorCategory().